Bug 13774 - Add new vfs_glusterfs_fuse module
Add new vfs_glusterfs_fuse module
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
4.10.0rc1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-01 11:03 UTC by Guenther Deschner
Modified: 2019-02-08 10:00 UTC (History)
2 users (show)

See Also:


Attachments
patch from master for v4.10 (11.72 KB, patch)
2019-02-01 11:06 UTC, Guenther Deschner
gd: review? (slow)
jra: review+
Details
patch from master for v4.9 v2 (also applies to v4.8) (11.65 KB, patch)
2019-02-03 12:57 UTC, Guenther Deschner
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2019-02-01 11:03:48 UTC
In order to better support setups where glusterfs is accessed via a fuse mount (using vfs_glusterfs_fuse which can almost double the create-based workload performance) I think we should provide that new and independent module in our next planned releases. There are thinkable risks because it is a completely independent piece of code.
Comment 1 Guenther Deschner 2019-02-01 11:06:02 UTC
Created attachment 14816 [details]
patch from master for 
v4.10
Comment 2 Jeremy Allison 2019-02-03 12:15:31 UTC
Comment on attachment 14816 [details]
patch from master for 
v4.10

Sorry, doesn't apply cleanly with git-am on 4.9.x. Can you rebase and re-upload ?
Comment 3 Guenther Deschner 2019-02-03 12:57:48 UTC
Created attachment 14820 [details]
patch from master for v4.9 v2 (also applies to v4.8)
Comment 4 Jeremy Allison 2019-02-04 10:19:23 UTC
Comment on attachment 14820 [details]
patch from master for v4.9 v2 (also applies to v4.8)

LGTM.
Comment 5 Jeremy Allison 2019-02-04 10:19:47 UTC
Comment on attachment 14820 [details]
patch from master for v4.9 v2 (also applies to v4.8)

LGTM.
Comment 6 Jeremy Allison 2019-02-04 10:25:46 UTC
Comment on attachment 14816 [details]
patch from master for 
v4.10

LGTM for 4.10.rcNext
Comment 7 Jeremy Allison 2019-02-04 10:27:24 UTC
Re-assigning to Karolin for inclusion in 4.10.rcNext, 4.9.next, 4.8.next.
Comment 8 Karolin Seeger 2019-02-05 14:32:57 UTC
(In reply to Jeremy Allison from comment #7)
Pushed to autobuild-v4-{10,9,8}-test.
Comment 9 Karolin Seeger 2019-02-08 10:00:36 UTC
(In reply to Karolin Seeger from comment #8)
Pushed to all branches.
Closing out bug report.

Thanks!